Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboSQLCompareValidator

    java.lang.Object
      |
      +--oracle.jbo.server.rules.JboBaseValidator
            |
            +--oracle.jbo.server.rules.JboCompareValidator
                  |
                  +--oracle.jbo.server.rules.JboSQLCompareValidator

public class JboSQLCompareValidator
extends JboCompareValidator

A validator that tests literal values by comparing them to a database value, using a pre-defined relation.

The value to be validated is designated as the left-hand operand of a relation operation. The validator provides the relation operator and the SQL statement that retrieves the right-hand operand.

Since:
  Jdeveloper 3.0

Fields inherited from class oracle.jbo.server.rules.JboCompareValidator
`EQUALTO, GREATERTHAN, GREATERTHANEQUALTO, LESSTHAN, LESSTHANEQUALTO, mOperType, mRValue`

Fields inherited from class oracle.jbo.server.rules.JboBaseValidator
`mLValue`

Constructor Summary
`` | `JboSQLCompareValidator()` Creates an uninitialized compare validator.
`protected` | `JboSQLCompareValidator(boolean bInverse, int operType)` Creates an partially-initialized compare validator.
`` | `JboSQLCompareValidator(boolean bInverse, int operType, java.lang.Object owner, java.lang.Object rValue)` Creates an initialized compare validator.

Method Summary
`java.lang.Object` | `getRhsValue()` Gets the right-side operand of this validator's expression.
`void` | `setOwner(java.lang.Object owner)` Sets the attribute that owns this validator.
`void` | `setRhsValue(java.lang.Object rhsValue)` Sets the right-side operand of this validator's expression.
`java.lang.String` | `toString()` Internal: For debugging purposes only.

Methods inherited from class oracle.jbo.server.rules.JboCompareValidator
`convertOperType, getOperatorTypeString, getType, setNewValue, setType, validateValue`

Methods inherited from class oracle.jbo.server.rules.JboBaseValidator
`getDescription, getInverse, setDescription, setInverse, setValidatingAttribute, setValidatingAttribute, vetoableChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JboSQLCompareValidator

    public JboSQLCompareValidator()

  Creates an uninitialized compare validator.

  The methods `setType()` and `setRhsValue()` must be invoked before validation can be performed.

### JboSQLCompareValidator

    protected JboSQLCompareValidator(boolean bInverse,
                                     int operType)

  Creates an partially-initialized compare validator.

  The method `setRhsValue()` must be invoked before validation can be performed.

  Parameters:
    `inverse` - if `true` the sense of this validator's comparison relation is inverted.
    `operType` - this validator's comparison operator; one of the comparison operator constants defined in this class.

### JboSQLCompareValidator

    public JboSQLCompareValidator(boolean bInverse,
                                  int operType,
                                  java.lang.Object owner,
                                  java.lang.Object rValue)

  Creates an initialized compare validator.

  Parameters:
    `inverse` - if `true` the sense of this validator's comparison relation is inverted.
    `operType` - this validator's comparison operator; one of the comparison operator constants defined in this class.
    `owner` - the attribute that owns this validator.
    `rValue` - this validator's right-hand operand; an instance of `AttributeDefImpl`.

Method Detail

### setRhsValue

    public void setRhsValue(java.lang.Object rhsValue)

  Sets the right-side operand of this validator's expression.
  Overrides:
    setRhsValue in class JboCompareValidator
  Parameters:
    `rhsValue` - a SQL statement.

### getRhsValue

    public java.lang.Object getRhsValue()

  Gets the right-side operand of this validator's expression.
  Overrides:
    getRhsValue in class JboCompareValidator

### setOwner

    public void setOwner(java.lang.Object owner)

  Sets the attribute that owns this validator.
  Parameters:
    `owner` - an attribute.

### toString

    public java.lang.String toString()

  Internal: For debugging purposes only.

  Overrides:
    toString in class JboCompareValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD